Game
Example header and default range: RANGED-DATA:start=0,results=25
OK
Deployment environment ID
The public name of your deployment environment
UnixTimestamp
Invalid credentials
Internal Server Error
GET /v3/deploymentEnvironment HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"name": "text",
"createdAt": 1
}
]Deployment environment ID
The public name of your deployment environment
UnixTimestamp
OK
Deployment environment ID
The public name of your deployment environment
UnixTimestamp
Invalid credentials
Unprocessable Entity
Internal Server Error
POST /v3/deploymentEnvironment HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}[
{
"id": "text",
"name": "text",
"createdAt": 1
}
]The Id of the deployment environment
OK
Deployment environment ID
The public name of your deployment environment
UnixTimestamp
Invalid credentials
Invalid deploymentEnvironmentId
Internal Server Error
GET /v3/deploymentEnvironment/{deploymentEnvironmentId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"name": "text",
"createdAt": 1
}
]The Id of the deployment environment
Deployment environment ID
The public name of your deployment environment
UnixTimestamp
OK
Deployment environment ID
The public name of your deployment environment
UnixTimestamp
Invalid credentials
Invalid deploymentEnvironmentId
Unprocessable Entity
Internal Server Error
PUT /v3/deploymentEnvironment/{deploymentEnvironmentId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}[
{
"id": "text",
"name": "text",
"createdAt": 1
}
]The Id of the deployment environment
No Content
No content
Invalid credentials
Invalid deploymentEnvironmentId
Cannot delete
Internal Server Error
DELETE /v3/deploymentEnvironment/{deploymentEnvironmentId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
No content
The Id of the deployment environment
OK
Fleet ID
The name of the fleet
Deployment environment ID to which the fleet is assigned
The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet
The GameDeploymentTemplate's ID that is attached to this Fleet
The UtilityDeploymentTemplate's ID that is attached to this Fleet
The DependencyDeploymentTemplate's ID that is attached to this Fleet
The HostCapacityTemplate's ID that is attached to this Fleet
0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)
When it is active it cannot be disabled anymore
Invalid credentials
Invalid deploymentEnvironmentId
Internal Server Error
GET /v3/deploymentEnvironment/{deploymentEnvironmentId}/fleet HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"name": "text",
"deploymentEnvironmentId": "text",
"deploymentProfileId": "text",
"gameDeploymentTemplateId": "text",
"utilityDeploymentTemplateId": "text",
"dependencyDeploymentTemplateId": "text",
"hostCapacityTemplateId": "text",
"operationalStatus": 1,
"isGameLift": true
}
]The Id of the deployment environment
OK
The ID of this host
The ID of the user who owns this server
The ID of the physical machine
The name of the physical machine
The type of the server:
- 1: Bare metal server
- 2: Flex metal server
- 3: Virtual machine
The name of the project for the host
The name of the server defined by client
Client statement for the host
The host name
0 if this is a bare metal server, 1 if it's a VM. Use serverType instead
Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state
Operating system ID, must be one of GET /v3/operatingsystem
Legacy location ID (not used for ODP)
Datacenter location ID. Points to one of GET /v3/cloud/dcLocation
The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of
GET /v3/cloud/instanceType for a virtual machine
The fleet ID, if this host has been assigned to a fleet
If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.
The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve
Unix timestamp when fleet assigned to the host
The name of the rack the host is located
The date at which this host became active
The date at which this host will expire
The date at which this host was cancelled
The date at which the contract ends (if applicable)
The contract period in months
The service extend period in months
The cancellation period in months
Purchase order, if one has been supplied via our billing department
The payment term in days (how many days are invoices generated before dateEnd)
The price of this host per month in cents (see currencyId for currency)
The price of traffic overuse in cents (per TB) (see currencyId for currency)
The currency of the pricePerMonth field:
- 0: EURO
- 1: USD
- 9: YEN
The bandwidth billing method for this service:
- 1: unmetered connection
- 2: measured in TB per month
- 3: measured in mbit 95th percentile
The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise
The server manufacturer brand name
The model of the server
Number of CPUs in this host
Percentage of cpu used across all cores
The amount of memory that is used by the host (in megabytes)
The amount of memory that is available on the host (in megabytes)
The amount of free memory that is available on the host (in megabytes)
If the host is reserved for a fleet isReserve set to 1
The service tag of the host
If the host is available for game hosting platform isODP set to 1
ID of Flex Metal order if this is a flex metal server
Status of server auto install if it was started by one. (created / installing / finished / failed)
Whether the host is running or not
The uptime of the host. Read-only. Only provided if the server checked-in recently
Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration
Whether the host has free incoming traffic or not
The outgoing traffic (Mbit or GB)
The incoming traffic (Mbit or GB)
Invalid credentials
Invalid deploymentEnvironmentId
Internal Server Error
GET /v3/deploymentEnvironment/{deploymentEnvironmentId}/host HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"userId": 1,
"serverId": 1,
"serverName": "text",
"serverType": 1,
"projectName": "text",
"clientServerName": "text",
"clientState": "text",
"liveHostName": "text",
"category": "text",
"osId": 1,
"locationId": 1,
"dcLocationId": 1,
"instanceType": "text",
"fleetId": "text",
"newFleetId": "text",
"fleetAssociatedSince": 1,
"rackName": "text",
"dateStart": "text",
"dateEnd": "text",
"dateCancelled": "text",
"dateEndContract": "text",
"contractPeriod": 1,
"extendPeriod": 1,
"cancellationPeriod": 1,
"purchaseOrder": "text",
"paymentTerm": 1,
"pricePerMonth": "text",
"pricePerTbOveruse": "text",
"currencyId": 1,
"bandwidthBillingType": 1,
"bandwidthContractual": 1,
"ipAddress": [
{
"ipAddress": "text",
"version": 1,
"type": 1,
"private": 1,
"interface": 1,
"macAddress": "text",
"rDns": "text",
"vlanId": 1,
"gateway": "text",
"netmask": "text",
"prefix": 1
}
],
"brand": "text",
"model": "text",
"numCpu": 1,
"cpuInfo": "text",
"cpuType": "text",
"cpuLoad": 1,
"cpu": {
"socket": 1,
"cores": 1,
"threads": 1,
"info": "text",
"type": "text"
},
"memUsed": 1,
"memMax": 1,
"memFree": 1,
"disk": [
{
"diskType": "text",
"diskMedium": "text",
"model": "text",
"product": "text",
"diskSerial": "text",
"firmwareVersion": "text",
"rotationRate": 1,
"sectorSizeLogical": 1,
"sectorSizePhysical": 1,
"size": 1
}
],
"memory": [
{
"brand": "text",
"model": "text",
"size": 1,
"speed": 1,
"ecc": 1,
"memoryBank": 1,
"memoryType": "text",
"memorySlot": "text",
"memorySerial": "text"
}
],
"isReserve": 1,
"labels": [
{
"key": "text",
"value": "text"
}
],
"serviceTag": "text",
"isODP": 1,
"fmOrderId": "text",
"installStatus": "text",
"status": "text",
"uptime": 1,
"trafficSum": 1,
"uplinks": [
{
"uplinkId": 1,
"aggregate": true
}
],
"freeIncomingTraffic": true,
"outgoingTrafficSum": 1,
"incomingTrafficSum": 1
}
]The Id of the deployment environment
OK
Application ID
The list of application type can be found in: GET /application/type
The protocol used to manage the application (defaults to None when not set):
- 0: None
- 1: A2S
- 2: ARCUS
The public name of your application
The url to your application's website
A short description of your application
The name of the application's developer
The name of the application's publisher
The default operating system group being used for the stop method. If you have a Windows and Linux ApplicationBuild you can overwrite this on the ApplicationBuild level. Must be one of:
- 1: Windows
- 2: Linux (default)
The stop method that will be used on restart or destroy of an application instance. The default is hard kill, list of types can be found in: GET /v3/application/stopMethod
The timeout that will be used on restart or destroy of an application instance, in seconds. The default is 0 (no timeout)
UnixTimestamp
If the application currently in use or not
Invalid credentials
Invalid deploymentEnvironmentId
Internal Server Error
GET /v3/deploymentEnvironment/{deploymentEnvironmentId}/application/inUse HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"type": 1,
"managementProtocol": 1,
"name": "text",
"websiteUrl": "text",
"description": "text",
"developerName": "text",
"publisherName": "text",
"stopDefaultOsGroup": 1,
"stopMethod": 1,
"stopTimeout": 1,
"createdAt": 1,
"inUse": 1
}
]The Id of the deployment environment
The Id of the application
OK
Fleet ID
The name of the fleet
Deployment environment ID to which the fleet is assigned
The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet
The GameDeploymentTemplate's ID that is attached to this Fleet
The UtilityDeploymentTemplate's ID that is attached to this Fleet
The DependencyDeploymentTemplate's ID that is attached to this Fleet
The HostCapacityTemplate's ID that is attached to this Fleet
0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)
When it is active it cannot be disabled anymore
Invalid credentials
Invalid deploymentEnvironmentId or applicationId
Internal Server Error
GET /v3/deploymentEnvironment/{deploymentEnvironmentId}/application/{applicationId}/fleet HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"name": "text",
"deploymentEnvironmentId": "text",
"deploymentProfileId": "text",
"gameDeploymentTemplateId": "text",
"utilityDeploymentTemplateId": "text",
"dependencyDeploymentTemplateId": "text",
"hostCapacityTemplateId": "text",
"operationalStatus": 1,
"isGameLift": true
}
]The Id of the deployment environment
OK
Application build ID
The name of the application build
The ID of the application. May be null if buildProvisioningStorageType is LegacyFTP
The ID of the host capacity template
The application build, list of types can be found in: GET /application/type
The executable name including the path originating from the root directory of the software structure
The startup parameters required for an executable
Set to 1 if a deployed application instance will inform the platform it's done with initializing and is ready to accept players. Defaults to 0 if not set, which means an instance's status will go directly to ONLINE (4) after starting
ID of the application install (legacy FTP, will be removed, may not be updated)
ID of the operating system, list of operating systems can be found in: GET /v3/operatingsystem
The stop method that will be used on restart or destroy of an application instance. The default is taken from the value of GET /v3/application/stopMethod - any value submitted here overrides that Application default
The timeout that will be used on restart or destroy of an application instance. The default is taken from the value of
Application.stopTimeout - any value submitted here overrides that Application default
When the application build was created (unix timestamp)
Type of storage being used GET /v3/buildProvisioning/storage/registration/types. Default: 0
Controls whether to run this build as root or as a non-privileged user. Warning: This currently only works for builds deployed onto a Linux operating system. Windows builds will always run as administrator
- 0: run as non-privileged user
- 1: run as root user (default)
Invalid credentials
Invalid deploymentEnvironmentId
Internal Server Error
GET /v3/deploymentEnvironment/{deploymentEnvironmentId}/applicationBuild/inUse HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"name": "text",
"applicationId": "text",
"hostCapacityTemplateId": "text",
"type": 1,
"executable": "text",
"startupParameters": "text",
"instanceDoesReadyCallback": 1,
"osId": 1,
"stopMethod": 1,
"stopTimeout": 1,
"createdAt": 1,
"label": [
{
"key": "text",
"value": "text"
}
],
"applicationBuildFile": {
"id": "text",
"buildProvisioningFileId": "text",
"buildProvisioningRegistrationId": "text",
"fileName": "text",
"fileSize": 1,
"version": "text",
"md5CheckSum": "text",
"path": "text",
"domain": "text",
"createdAt": 1,
"changedAt": 1,
"availableOnCDN": 1
},
"buildProvisioningStorageType": 1,
"runAsRoot": 1
}
]The Id of the deployment environment
OK
The deployment profile ID
IDs of the fleets in which this deployment profile is being used
This deployment profile's name
This deployment profile's description
Possible values:
- 1: Round robin
The minimum amount of game instances that should always be deployed for each deployment region in this deployment profile. Can be overridden per deployment region
The maximum amount of game instances that can be deployed in each region. Can be overridden per region.
Null value means that there is no maximumCapacity
Global buffer value, to be applied to individual deployment regions. Can be overridden per region
Possible values:
- 0: Absolute value
- 1: Percentage value (must be accompanied by
bufferValueMinandbufferValueMax)
The minimum absolute bufferValue when using a percentage, to prevent bufferValue from going too low
The maximum absolute bufferValue when using a percentage, to prevent bufferValue from going too high
When 1, markedForDeletion will propagate to all deployment regions of this deployment profile.
Scaling down will happen slowly as application instances get removed naturally.
After all application instances are removed, the deployment profile is set to inactive
1Possible values:
- 0: Deployment profile has no active application instances
- 1: Deployment profile has active application instance(s)
Unix timestamp of creation time
Invalid credentials
Invalid deploymentEnvironmentId
Internal Server Error
GET /v3/deploymentEnvironment/{deploymentEnvironmentId}/deploymentProfile HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"fleetIds": [
"text"
],
"name": "text",
"description": "text",
"strategyType": 1,
"minimumCapacity": 1,
"maximumCapacity": 1,
"bufferValue": 1,
"bufferValueType": 1,
"bufferValueMin": 1,
"bufferValueMax": 1,
"markedForDeletion": 1,
"inUse": 1,
"deploymentRegions": [
{
"id": "text",
"name": "text",
"i3dDcLocationIds": [
1
],
"i3dDcLocationIdsToBeRemoved": [
1
],
"minimumCapacity": 1,
"maximumCapacity": 1,
"bufferValue": 1,
"bufferValueType": 1,
"bufferValueMin": 1,
"bufferValueMax": 1,
"strategyType": 1,
"markedForDeletion": 1,
"containers": [
{
"id": "text",
"markedForDeletion": 1,
"containerLocations": [
{
"id": "text",
"cloudProviderId": 1,
"dcLocationId": 1,
"primaryInstanceTypeName": "text",
"primaryInstanceTypeStatus": 1,
"secondaryInstanceTypeName": "text",
"secondaryInstanceTypeStatus": 1,
"markedForDeletion": 1
}
]
}
],
"inUse": 1
}
],
"createdAt": 1
}
]Note: bare metal servers and VMs are exposed in the same manner, as "dedicated servers". hostId can be found in the /host endpoint.
The Id of the deployment environment
Label expressions can be used to apply more specific search parameters and can be written in standard SQL query language.
E.g. region_id=123 or multiple filters: region_id=123 and fleet_id=456 or host_id=46256 The provided filter query needs to be url encoded. E.g.
region_id%3D123 or multiple filters: region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 The total would look like:
/deploymentEnvironment/{deploymentEnvironmentId}/applicationInstance?labels=region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256
If you want to filter on a non-numeric label such as region_name, you have to wrap the value in double quotes: region_name="Rotterdam"
Warning: the labels query parameter is ignored when passing a PAGE-TOKEN and the original labels string will be used for that request instead.
More information on the use of labels can be found here.
Filter expression can be used to apply more specific search on most parameters in the application instance, it is written like
this E.G. regionId=123 or multiple filters: regionId=123 and fleetId=456, only the AND statement is supported at this time. You can also
search inside nested objects like metaData.key="testing" and metaData.value="test" You can only search on exact matches.
Warning: the filters query parameter is ignored when passing a PAGE-TOKEN and the original filters string will be used for that request
instead.
Warning: filtering on the following parameters is currently not supported and will give an error:
autoRestart, liveGameVersion, liveHostName, liveMap, liveRules, manuallyDeployed, markedForDeletion, numPlayers, numPlayersMax,
pid, pidChangedAt, startedAt, status, stoppedAt, updatedAt
Sort expression to sort your results in the order that you like E.G. "sort=fleetId=ASC and applicationId DESC" Be aware that all filters
and sorting should be url encoded.
Warning: the sort query parameter is ignored when passing a PAGE-TOKEN and the original sort string will be used for that request instead
Warning: sorting on the following parameters is currently not supported and will give an error:
autoRestart, liveGameVersion, liveHostName, liveMap, liveRules, manuallyDeployed, markedForDeletion, numPlayers, numPlayersMax,
pid, pidChangedAt, startedAt, status, stoppedAt, updatedAt
Example header and default range: RANGED-DATA: start=0,results=25
Warning: the start variable of the RANGED-DATA object has been deprecated for this endpoint. It is not possible to supply a start, see
PAGE-TOKEN header for a replacement
This token will be provided by this endpoint to allow for pagination functionality. By performing a request to this endpoint
without the PAGE-TOKEN you will retrieve the first page of search results. If a PAGE-TOKEN is returned, a next page may be requested by
supplying that token in the next request using the same PAGE-TOKEN key and value in the request header. If no PAGE-TOKEN is returned, the last
page has been reached and no further data can be requested. A returned PAGE-TOKEN is valid until the date specified in the Expires response
header. Example: PAGE-TOKEN: eyJjb25kaXRpb25zIjp7InVzZXJJZCI6NjY2ODI1fSwibGFiZWxz(...) (truncated for readability)
Expires header example: Expires: Fri, 08 Jan 2021 09:10:29 GMT
OK
Application instance ID
The deployment environment ID of this application instance
The deployment environment name of this application instance
The fleet ID of this application instance
The fleet name of this application instance
The application instance is host on this server.
0 if this instance runs on a bare metal server, 1 if it runs on a VM
The application ID of this application instance
The application name of this application instance
The type of the application, the different types can be found in: GET /v3/application/type
The application build ID of this application instance
The application build name of this application instance
ID of the application install
The datacenter ID of where this application instance is located
The datacenter name of where this application instance is located
The deployment region ID of where this application instance is located
The deployment region name of where this application instance is located
The application instance status, list of application instance status can be found in GET /v3/applicationInstance/status
The Unix timestamp at which this application instance is created
The Unix timestamp at which this application instance is started
The Unix timestamp at which this application instance is stopped
The process ID of the application instance running on the host
The Unix timestamp of the moment the process ID has been changed on the host
The exact startup parameters that were used to start this application instance with all properties resolved to their
respective values. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be
cleared again
The name of the executable that was ran when the application instance started. Will be null if the instance has not been
started, but will retain its previous value if it was stopped. Once set it will never be cleared again
If set to 1, the application instance was manually deployed, instead of automatically deployed through the system
The maximum number of players on the application instance (this only apply to application instances of the type game)
The number of online players on the application instance (this only apply to application instances of the type game)
The live host name of the application instance (this only apply to application instances of the type game)
The live map of an application instance (this only apply to application instances of the type game)
The live game version of an application instance (this only apply to application instances of the type game)
The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)
The live rules of an application instance (this only apply to application instances of the type game)
If auto restart is 1 then the application instance will auto restart, when 0 the application instance auto restart will be disabled
If an application will be deleted it will be 1, 0 otherwise
1 if Arcus is available & running for this application instance, 0 otherwise.
Note: If your application's managementProtocol is NOT set to Arcus, this value will always be 0, even if your
game server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to 1,
when the managementProtocol is set to Arcus.
PAGE-TOKEN did not have an expected structure and is invalid. Please try again by sending a request without a PAGE-TOKEN and restarting
Invalid credentials
Invalid deploymentEnvironmentId
PAGE-TOKEN is expired. Acquire a new PAGE-TOKEN by sending a request without a PAGE-TOKEN and try again
Internal Server Error
GET /v3/deploymentEnvironment/{deploymentEnvironmentId}/applicationInstance HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"deploymentEnvironmentId": "text",
"deploymentEnvironmentName": "text",
"fleetId": "text",
"fleetName": "text",
"hostId": 1,
"isVirtual": 1,
"applicationId": "text",
"applicationName": "text",
"applicationType": 1,
"applicationBuildId": "text",
"applicationBuildName": "text",
"dcLocationId": 1,
"dcLocationName": "text",
"regionId": "text",
"regionName": "text",
"status": 1,
"createdAt": 1,
"startedAt": 1,
"stoppedAt": 1,
"pid": 1,
"pidChangedAt": 1,
"startupParams": "text",
"executable": "text",
"manuallyDeployed": 1,
"properties": [
{
"id": "text",
"propertyType": 1,
"propertyKey": "text",
"propertyValue": "text"
}
],
"ipAddress": [
{
"ipAddress": "text",
"ipVersion": 1,
"private": 1
}
],
"labelReadOnly": [
{
"key": "text",
"value": "text"
}
],
"labelPublic": [
{
"key": "text",
"value": "text"
}
],
"metadata": [
{
"key": "text",
"value": "text"
}
],
"numPlayersMax": 1,
"numPlayers": 1,
"liveHostName": "text",
"liveMap": "text",
"liveGameVersion": "text",
"updatedAt": 1,
"liveRules": "text",
"autoRestart": 1,
"markedForDeletion": 1,
"arcusAvailable": 1
}
]OK
The number of hosts
The number of instances
The number of players
Invalid credentials
Invalid deploymentEnvironmentId
Internal Server Error
GET /v3/telemetry/deploymentEnvironment/{deploymentEnvironmentId}/current HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"hosts": 1,
"instances": 1,
"players": 1
}
]Example header and default range: RANGED-DATA:start=0,results=25
OK
Fleet ID
The name of the fleet
Deployment environment ID to which the fleet is assigned
The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet
The GameDeploymentTemplate's ID that is attached to this Fleet
The UtilityDeploymentTemplate's ID that is attached to this Fleet
The DependencyDeploymentTemplate's ID that is attached to this Fleet
The HostCapacityTemplate's ID that is attached to this Fleet
0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)
When it is active it cannot be disabled anymore
Invalid credentials
Internal Server Error
GET /v3/fleet HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"name": "text",
"deploymentEnvironmentId": "text",
"deploymentProfileId": "text",
"gameDeploymentTemplateId": "text",
"utilityDeploymentTemplateId": "text",
"dependencyDeploymentTemplateId": "text",
"hostCapacityTemplateId": "text",
"operationalStatus": 1,
"isGameLift": true
}
]Fleet ID
The name of the fleet
Deployment environment ID to which the fleet is assigned
The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet
The GameDeploymentTemplate's ID that is attached to this Fleet
The UtilityDeploymentTemplate's ID that is attached to this Fleet
The DependencyDeploymentTemplate's ID that is attached to this Fleet
The HostCapacityTemplate's ID that is attached to this Fleet
0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)
When it is active it cannot be disabled anymore
OK
Fleet ID
The name of the fleet
Deployment environment ID to which the fleet is assigned
The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet
The GameDeploymentTemplate's ID that is attached to this Fleet
The UtilityDeploymentTemplate's ID that is attached to this Fleet
The DependencyDeploymentTemplate's ID that is attached to this Fleet
The HostCapacityTemplate's ID that is attached to this Fleet
0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)
When it is active it cannot be disabled anymore
Invalid credentials
Unprocessable Entity
Internal Server Error
POST /v3/fleet HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 238
{
"name": "text",
"deploymentEnvironmentId": "text",
"deploymentProfileId": "text",
"gameDeploymentTemplateId": "text",
"utilityDeploymentTemplateId": "text",
"dependencyDeploymentTemplateId": "text",
"hostCapacityTemplateId": "text",
"isGameLift": true
}[
{
"id": "text",
"name": "text",
"deploymentEnvironmentId": "text",
"deploymentProfileId": "text",
"gameDeploymentTemplateId": "text",
"utilityDeploymentTemplateId": "text",
"dependencyDeploymentTemplateId": "text",
"hostCapacityTemplateId": "text",
"operationalStatus": 1,
"isGameLift": true
}
]The Id of the fleet
OK
Fleet ID
The name of the fleet
Deployment environment ID to which the fleet is assigned
The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet
The GameDeploymentTemplate's ID that is attached to this Fleet
The UtilityDeploymentTemplate's ID that is attached to this Fleet
The DependencyDeploymentTemplate's ID that is attached to this Fleet
The HostCapacityTemplate's ID that is attached to this Fleet
0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)
When it is active it cannot be disabled anymore
Invalid credentials
Invalid fleetId
Internal Server Error
GET /v3/fleet/{fleetId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"name": "text",
"deploymentEnvironmentId": "text",
"deploymentProfileId": "text",
"gameDeploymentTemplateId": "text",
"utilityDeploymentTemplateId": "text",
"dependencyDeploymentTemplateId": "text",
"hostCapacityTemplateId": "text",
"operationalStatus": 1,
"isGameLift": true
}
]The Id of the fleet
Fleet ID
The name of the fleet
Deployment environment ID to which the fleet is assigned
The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet
The GameDeploymentTemplate's ID that is attached to this Fleet
The UtilityDeploymentTemplate's ID that is attached to this Fleet
The DependencyDeploymentTemplate's ID that is attached to this Fleet
The HostCapacityTemplate's ID that is attached to this Fleet
0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)
When it is active it cannot be disabled anymore
OK
Fleet ID
The name of the fleet
Deployment environment ID to which the fleet is assigned
The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet
The GameDeploymentTemplate's ID that is attached to this Fleet
The UtilityDeploymentTemplate's ID that is attached to this Fleet
The DependencyDeploymentTemplate's ID that is attached to this Fleet
The HostCapacityTemplate's ID that is attached to this Fleet
0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)
When it is active it cannot be disabled anymore
Invalid credentials
Invalid fleetId
Unprocessable Entity
Internal Server Error
PUT /v3/fleet/{fleetId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 238
{
"name": "text",
"deploymentEnvironmentId": "text",
"deploymentProfileId": "text",
"gameDeploymentTemplateId": "text",
"utilityDeploymentTemplateId": "text",
"dependencyDeploymentTemplateId": "text",
"hostCapacityTemplateId": "text",
"isGameLift": true
}[
{
"id": "text",
"name": "text",
"deploymentEnvironmentId": "text",
"deploymentProfileId": "text",
"gameDeploymentTemplateId": "text",
"utilityDeploymentTemplateId": "text",
"dependencyDeploymentTemplateId": "text",
"hostCapacityTemplateId": "text",
"operationalStatus": 1,
"isGameLift": true
}
]The ID of the fleet
No Content
No content
Invalid credentials
Invalid fleetId
Fleet in use, cannot delete
Internal Server Error
DELETE /v3/fleet/{fleetId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
No content
The Id of the fleet
The operational status for the fleet
OK
Fleet ID
The name of the fleet
Deployment environment ID to which the fleet is assigned
The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet
The GameDeploymentTemplate's ID that is attached to this Fleet
The UtilityDeploymentTemplate's ID that is attached to this Fleet
The DependencyDeploymentTemplate's ID that is attached to this Fleet
The HostCapacityTemplate's ID that is attached to this Fleet
0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)
When it is active it cannot be disabled anymore
Invalid credentials
Invalid fleetId
Unprocessable Entity
Internal Server Error
PUT /v3/fleet/{fleetId}/operationalStatus HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 23
{
"operationalStatus": 1
}[
{
"id": "text",
"name": "text",
"deploymentEnvironmentId": "text",
"deploymentProfileId": "text",
"gameDeploymentTemplateId": "text",
"utilityDeploymentTemplateId": "text",
"dependencyDeploymentTemplateId": "text",
"hostCapacityTemplateId": "text",
"operationalStatus": 1,
"isGameLift": true
}
]The Id of the fleet
Example header and default range: RANGED-DATA:start=0,results=25
OK
The ID of this host
The ID of the user who owns this server
The ID of the physical machine
The name of the physical machine
The type of the server:
- 1: Bare metal server
- 2: Flex metal server
- 3: Virtual machine
The name of the project for the host
The name of the server defined by client
Client statement for the host
The host name
0 if this is a bare metal server, 1 if it's a VM. Use serverType instead
Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state
Operating system ID, must be one of GET /v3/operatingsystem
Legacy location ID (not used for ODP)
Datacenter location ID. Points to one of GET /v3/cloud/dcLocation
The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of
GET /v3/cloud/instanceType for a virtual machine
The fleet ID, if this host has been assigned to a fleet
If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.
The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve
Unix timestamp when fleet assigned to the host
The name of the rack the host is located
The date at which this host became active
The date at which this host will expire
The date at which this host was cancelled
The date at which the contract ends (if applicable)
The contract period in months
The service extend period in months
The cancellation period in months
Purchase order, if one has been supplied via our billing department
The payment term in days (how many days are invoices generated before dateEnd)
The price of this host per month in cents (see currencyId for currency)
The price of traffic overuse in cents (per TB) (see currencyId for currency)
The currency of the pricePerMonth field:
- 0: EURO
- 1: USD
- 9: YEN
The bandwidth billing method for this service:
- 1: unmetered connection
- 2: measured in TB per month
- 3: measured in mbit 95th percentile
The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise
The server manufacturer brand name
The model of the server
Number of CPUs in this host
Percentage of cpu used across all cores
The amount of memory that is used by the host (in megabytes)
The amount of memory that is available on the host (in megabytes)
The amount of free memory that is available on the host (in megabytes)
If the host is reserved for a fleet isReserve set to 1
The service tag of the host
If the host is available for game hosting platform isODP set to 1
ID of Flex Metal order if this is a flex metal server
Status of server auto install if it was started by one. (created / installing / finished / failed)
Whether the host is running or not
The uptime of the host. Read-only. Only provided if the server checked-in recently
Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration
Whether the host has free incoming traffic or not
The outgoing traffic (Mbit or GB)
The incoming traffic (Mbit or GB)
Invalid credentials
Invalid fleetId
Internal Server Error
GET /v3/fleet/{fleetId}/host/reserved HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"userId": 1,
"serverId": 1,
"serverName": "text",
"serverType": 1,
"projectName": "text",
"clientServerName": "text",
"clientState": "text",
"liveHostName": "text",
"category": "text",
"osId": 1,
"locationId": 1,
"dcLocationId": 1,
"instanceType": "text",
"fleetId": "text",
"newFleetId": "text",
"fleetAssociatedSince": 1,
"rackName": "text",
"dateStart": "text",
"dateEnd": "text",
"dateCancelled": "text",
"dateEndContract": "text",
"contractPeriod": 1,
"extendPeriod": 1,
"cancellationPeriod": 1,
"purchaseOrder": "text",
"paymentTerm": 1,
"pricePerMonth": "text",
"pricePerTbOveruse": "text",
"currencyId": 1,
"bandwidthBillingType": 1,
"bandwidthContractual": 1,
"ipAddress": [
{
"ipAddress": "text",
"version": 1,
"type": 1,
"private": 1,
"interface": 1,
"macAddress": "text",
"rDns": "text",
"vlanId": 1,
"gateway": "text",
"netmask": "text",
"prefix": 1
}
],
"brand": "text",
"model": "text",
"numCpu": 1,
"cpuInfo": "text",
"cpuType": "text",
"cpuLoad": 1,
"cpu": {
"socket": 1,
"cores": 1,
"threads": 1,
"info": "text",
"type": "text"
},
"memUsed": 1,
"memMax": 1,
"memFree": 1,
"disk": [
{
"diskType": "text",
"diskMedium": "text",
"model": "text",
"product": "text",
"diskSerial": "text",
"firmwareVersion": "text",
"rotationRate": 1,
"sectorSizeLogical": 1,
"sectorSizePhysical": 1,
"size": 1
}
],
"memory": [
{
"brand": "text",
"model": "text",
"size": 1,
"speed": 1,
"ecc": 1,
"memoryBank": 1,
"memoryType": "text",
"memorySlot": "text",
"memorySerial": "text"
}
],
"isReserve": 1,
"labels": [
{
"key": "text",
"value": "text"
}
],
"serviceTag": "text",
"isODP": 1,
"fmOrderId": "text",
"installStatus": "text",
"status": "text",
"uptime": 1,
"trafficSum": 1,
"uplinks": [
{
"uplinkId": 1,
"aggregate": true
}
],
"freeIncomingTraffic": true,
"outgoingTrafficSum": 1,
"incomingTrafficSum": 1
}
]Reserve a list of hosts for a specific new fleet. The existing application instances on these servers will be automatically scaled down.
Response header which you can use to fetch the status of the bulk reservation of hosts by using endpoint
GET /v3/fleet/host/bulkReserve/{traceId}/status
Fleet ID
List of host ID's
Stop method type, list of types can be found in: GET /v3/application/stopMethod
Stop method timeout in seconds, default value is 1800 seconds
No Content
No content
Invalid credentials
Unprocessable Entity
Internal Server Error
POST /v3/fleet/host/bulkReserve HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 55
{
"fleetId": "text",
"hosts": [
1
],
"methodId": 1,
"timeout": 1
}No content
Progress for the bulk reserve you have done, base on the trace id you received in the header when you have created the bulk reserve
OK
Fleet ID that was assigned to the host prior to bulk reservation.
Fleet ID that will be assigned to the host after completion of bulk reservation.
ID of the host.
When the value is 1 then the host is not changed to the new fleet ID, when value is 0 than the host is changed to the new fleet ID.
Invalid credentials
Not Found
Internal Server Error
GET /v3/fleet/host/bulkReserve/{traceId}/status HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"oldFleetId": "text",
"newFleetId": "text",
"hostId": 1,
"inProgress": 1
}
]The Id of the fleet
Example header and default range: RANGED-DATA:start=0,results=25
OK
The ID of this host
The ID of the user who owns this server
The ID of the physical machine
The name of the physical machine
The type of the server:
- 1: Bare metal server
- 2: Flex metal server
- 3: Virtual machine
The name of the project for the host
The name of the server defined by client
Client statement for the host
The host name
0 if this is a bare metal server, 1 if it's a VM. Use serverType instead
Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state
Operating system ID, must be one of GET /v3/operatingsystem
Legacy location ID (not used for ODP)
Datacenter location ID. Points to one of GET /v3/cloud/dcLocation
The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of
GET /v3/cloud/instanceType for a virtual machine
The fleet ID, if this host has been assigned to a fleet
If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.
The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve
Unix timestamp when fleet assigned to the host
The name of the rack the host is located
The date at which this host became active
The date at which this host will expire
The date at which this host was cancelled
The date at which the contract ends (if applicable)
The contract period in months
The service extend period in months
The cancellation period in months
Purchase order, if one has been supplied via our billing department
The payment term in days (how many days are invoices generated before dateEnd)
The price of this host per month in cents (see currencyId for currency)
The price of traffic overuse in cents (per TB) (see currencyId for currency)
The currency of the pricePerMonth field:
- 0: EURO
- 1: USD
- 9: YEN
The bandwidth billing method for this service:
- 1: unmetered connection
- 2: measured in TB per month
- 3: measured in mbit 95th percentile
The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise
The server manufacturer brand name
The model of the server
Number of CPUs in this host
Percentage of cpu used across all cores
The amount of memory that is used by the host (in megabytes)
The amount of memory that is available on the host (in megabytes)
The amount of free memory that is available on the host (in megabytes)
If the host is reserved for a fleet isReserve set to 1
The service tag of the host
If the host is available for game hosting platform isODP set to 1
ID of Flex Metal order if this is a flex metal server
Status of server auto install if it was started by one. (created / installing / finished / failed)
Whether the host is running or not
The uptime of the host. Read-only. Only provided if the server checked-in recently
Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration
Whether the host has free incoming traffic or not
The outgoing traffic (Mbit or GB)
The incoming traffic (Mbit or GB)
Invalid credentials
Invalid fleetId
Internal Server Error
GET /v3/fleet/{fleetId}/host HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"userId": 1,
"serverId": 1,
"serverName": "text",
"serverType": 1,
"projectName": "text",
"clientServerName": "text",
"clientState": "text",
"liveHostName": "text",
"category": "text",
"osId": 1,
"locationId": 1,
"dcLocationId": 1,
"instanceType": "text",
"fleetId": "text",
"newFleetId": "text",
"fleetAssociatedSince": 1,
"rackName": "text",
"dateStart": "text",
"dateEnd": "text",
"dateCancelled": "text",
"dateEndContract": "text",
"contractPeriod": 1,
"extendPeriod": 1,
"cancellationPeriod": 1,
"purchaseOrder": "text",
"paymentTerm": 1,
"pricePerMonth": "text",
"pricePerTbOveruse": "text",
"currencyId": 1,
"bandwidthBillingType": 1,
"bandwidthContractual": 1,
"ipAddress": [
{
"ipAddress": "text",
"version": 1,
"type": 1,
"private": 1,
"interface": 1,
"macAddress": "text",
"rDns": "text",
"vlanId": 1,
"gateway": "text",
"netmask": "text",
"prefix": 1
}
],
"brand": "text",
"model": "text",
"numCpu": 1,
"cpuInfo": "text",
"cpuType": "text",
"cpuLoad": 1,
"cpu": {
"socket": 1,
"cores": 1,
"threads": 1,
"info": "text",
"type": "text"
},
"memUsed": 1,
"memMax": 1,
"memFree": 1,
"disk": [
{
"diskType": "text",
"diskMedium": "text",
"model": "text",
"product": "text",
"diskSerial": "text",
"firmwareVersion": "text",
"rotationRate": 1,
"sectorSizeLogical": 1,
"sectorSizePhysical": 1,
"size": 1
}
],
"memory": [
{
"brand": "text",
"model": "text",
"size": 1,
"speed": 1,
"ecc": 1,
"memoryBank": 1,
"memoryType": "text",
"memorySlot": "text",
"memorySerial": "text"
}
],
"isReserve": 1,
"labels": [
{
"key": "text",
"value": "text"
}
],
"serviceTag": "text",
"isODP": 1,
"fmOrderId": "text",
"installStatus": "text",
"status": "text",
"uptime": 1,
"trafficSum": 1,
"uplinks": [
{
"uplinkId": 1,
"aggregate": true
}
],
"freeIncomingTraffic": true,
"outgoingTrafficSum": 1,
"incomingTrafficSum": 1
}
]The Id of the fleet
The Id of the host
No Content
No content
Invalid credentials
Invalid fleetId
Host is already reserved
Internal Server Error
PUT /v3/fleet/{fleetId}/host/{hostId}/reserve HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
No content
Remove a fleet reservation from the given host. Sets `fleetId` to `0` only if no application instances are deployed on it.
There are three situations you need to be aware of when un-reserving a fleet:
- You have application instances on the host and auto-scaling is enabled: Eventually the host is scaled down and its
fleetIdwill be set to0, at which point it may be re-purposed for another fleet - You have application instances on the host and auto-scaling is not enabled: The host is not automatically scaled down and you will need to manually scale down the application instances on this host for it to be available for another fleet
- You have no application instances: The host is unreserved and its
fleetIdis immediately set to0, allowing the host to be re-purposed for another fleet
The ID of the fleet
The ID of the host
No Content
No content
Invalid credentials
Invalid fleetId or hostId
Host cannot be unreserved
Internal Server Error
PUT /v3/fleet/{fleetId}/host/{hostId}/unreserve HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
No content
The Id of the fleet
OK
Application ID
The list of application type can be found in: GET /application/type
The protocol used to manage the application (defaults to None when not set):
- 0: None
- 1: A2S
- 2: ARCUS
The public name of your application
The url to your application's website
A short description of your application
The name of the application's developer
The name of the application's publisher
The default operating system group being used for the stop method. If you have a Windows and Linux ApplicationBuild you can overwrite this on the ApplicationBuild level. Must be one of:
- 1: Windows
- 2: Linux (default)
The stop method that will be used on restart or destroy of an application instance. The default is hard kill, list of types can be found in: GET /v3/application/stopMethod
The timeout that will be used on restart or destroy of an application instance, in seconds. The default is 0 (no timeout)
UnixTimestamp
If the application currently in use or not
Invalid credentials
Invalid fleetId
Internal Server Error
GET /v3/fleet/{fleetId}/application/inUse HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"type": 1,
"managementProtocol": 1,
"name": "text",
"websiteUrl": "text",
"description": "text",
"developerName": "text",
"publisherName": "text",
"stopDefaultOsGroup": 1,
"stopMethod": 1,
"stopTimeout": 1,
"createdAt": 1,
"inUse": 1
}
]The Id of the fleet
OK
Application build ID
The name of the application build
The ID of the application. May be null if buildProvisioningStorageType is LegacyFTP
The ID of the host capacity template
The application build, list of types can be found in: GET /application/type
The executable name including the path originating from the root directory of the software structure
The startup parameters required for an executable
Set to 1 if a deployed application instance will inform the platform it's done with initializing and is ready to accept players. Defaults to 0 if not set, which means an instance's status will go directly to ONLINE (4) after starting
ID of the application install (legacy FTP, will be removed, may not be updated)
ID of the operating system, list of operating systems can be found in: GET /v3/operatingsystem
The stop method that will be used on restart or destroy of an application instance. The default is taken from the value of GET /v3/application/stopMethod - any value submitted here overrides that Application default
The timeout that will be used on restart or destroy of an application instance. The default is taken from the value of
Application.stopTimeout - any value submitted here overrides that Application default
When the application build was created (unix timestamp)
Type of storage being used GET /v3/buildProvisioning/storage/registration/types. Default: 0
Controls whether to run this build as root or as a non-privileged user. Warning: This currently only works for builds deployed onto a Linux operating system. Windows builds will always run as administrator
- 0: run as non-privileged user
- 1: run as root user (default)
Invalid credentials
Invalid fleetId
Internal Server Error
GET /v3/fleet/{fleetId}/applicationBuild/inUse HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"name": "text",
"applicationId": "text",
"hostCapacityTemplateId": "text",
"type": 1,
"executable": "text",
"startupParameters": "text",
"instanceDoesReadyCallback": 1,
"osId": 1,
"stopMethod": 1,
"stopTimeout": 1,
"createdAt": 1,
"label": [
{
"key": "text",
"value": "text"
}
],
"applicationBuildFile": {
"id": "text",
"buildProvisioningFileId": "text",
"buildProvisioningRegistrationId": "text",
"fileName": "text",
"fileSize": 1,
"version": "text",
"md5CheckSum": "text",
"path": "text",
"domain": "text",
"createdAt": 1,
"changedAt": 1,
"availableOnCDN": 1
},
"buildProvisioningStorageType": 1,
"runAsRoot": 1
}
]The Id of the fleet
OK
of game lift environment variable
of game lift environment variable:
- awsgl_endpoint
- awsgl_region
- awsgl_token
- awsgl_hostname
- awsgl_fleetid
- raw_value
of game lift environment variable, e.g. "AWS_TOKEN_ID"
Bad request
Invalid credentials
Internal Server Error
GET /v3/fleet/{fleetId}/gameLiftDeploymentEnvironmentVariables HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"type": "text",
"name": "text"
}
]The Id of the fleet
of game lift environment variable
of game lift environment variable:
- awsgl_endpoint
- awsgl_region
- awsgl_token
- awsgl_hostname
- awsgl_fleetid
- raw_value
of game lift environment variable, e.g. "AWS_TOKEN_ID"
OK
of game lift environment variable
of game lift environment variable:
- awsgl_endpoint
- awsgl_region
- awsgl_token
- awsgl_hostname
- awsgl_fleetid
- raw_value
of game lift environment variable, e.g. "AWS_TOKEN_ID"
Bad request
Invalid credentials
Internal Server Error
PUT /v3/fleet/{fleetId}/gameLiftDeploymentEnvironmentVariables HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 43
[
{
"id": "text",
"type": "text",
"name": "text"
}
][
{
"id": "text",
"type": "text",
"name": "text"
}
]The Id of the fleet
OK
The number of hosts
The number of instances
The number of players
Invalid credentials
Invalid fleetId
Internal Server Error
GET /v3/telemetry/fleet/{fleetId}/current HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"hosts": 1,
"instances": 1,
"players": 1
}
]Example header and default range: RANGED-DATA:start=0,results=25
OK
Game deployment template ID
IDs of the fleets that use this template
The public name of your game deployment template
Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
Invalid credentials
Internal Server Error
GET /v3/deploymentTemplate/game HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"fleetIds": [
"text"
],
"name": "text",
"inUse": 1,
"createdAt": 1,
"gameDeploymentTemplateBuild": [
{
"applicationBuildId": "text"
}
]
}
]Game deployment template ID
IDs of the fleets that use this template
The public name of your game deployment template
Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
OK
Game deployment template ID
IDs of the fleets that use this template
The public name of your game deployment template
Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
Invalid credentials
Unprocessable Entity
Internal Server Error
POST /v3/deploymentTemplate/game HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 77
{
"name": "text",
"gameDeploymentTemplateBuild": [
{
"applicationBuildId": "text"
}
]
}[
{
"id": "text",
"fleetIds": [
"text"
],
"name": "text",
"inUse": 1,
"createdAt": 1,
"gameDeploymentTemplateBuild": [
{
"applicationBuildId": "text"
}
]
}
]The Id of the deployment template
OK
Game deployment template ID
IDs of the fleets that use this template
The public name of your game deployment template
Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
Invalid credentials
Invalid deploymentTemplateId
Internal Server Error
GET /v3/deploymentTemplate/game/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"fleetIds": [
"text"
],
"name": "text",
"inUse": 1,
"createdAt": 1,
"gameDeploymentTemplateBuild": [
{
"applicationBuildId": "text"
}
]
}
]The Id of the deployment template
Game deployment template ID
IDs of the fleets that use this template
The public name of your game deployment template
Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
OK
Game deployment template ID
IDs of the fleets that use this template
The public name of your game deployment template
Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
Invalid credentials
Invalid deploymentTemplateId
Unprocessable Entity
Internal Server Error
PUT /v3/deploymentTemplate/game/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 77
{
"name": "text",
"gameDeploymentTemplateBuild": [
{
"applicationBuildId": "text"
}
]
}{
"id": "text",
"fleetIds": [
"text"
],
"name": "text",
"inUse": 1,
"createdAt": 1,
"gameDeploymentTemplateBuild": [
{
"applicationBuildId": "text"
}
]
}The Id of the deployment template
No Content
No content
Invalid credentials
Invalid deploymentTemplateId
If the template is in use, it cannot be deleted
Internal Server Error
DELETE /v3/deploymentTemplate/game/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
No content
The Id of the deployment template
Example header and default range: RANGED-DATA:start=0,results=25
OK
Fleet ID
The name of the fleet
Deployment environment ID to which the fleet is assigned
The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet
The GameDeploymentTemplate's ID that is attached to this Fleet
The UtilityDeploymentTemplate's ID that is attached to this Fleet
The DependencyDeploymentTemplate's ID that is attached to this Fleet
The HostCapacityTemplate's ID that is attached to this Fleet
0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)
When it is active it cannot be disabled anymore
Invalid credentials
Invalid deploymentTemplateId
Internal Server Error
GET /v3/deploymentTemplate/game/{deploymentTemplateId}/fleet HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"name": "text",
"deploymentEnvironmentId": "text",
"deploymentProfileId": "text",
"gameDeploymentTemplateId": "text",
"utilityDeploymentTemplateId": "text",
"dependencyDeploymentTemplateId": "text",
"hostCapacityTemplateId": "text",
"operationalStatus": 1,
"isGameLift": true
}
]Example header and default range: RANGED-DATA:start=0,results=25
OK
Utility deployment template ID
IDs of the fleets that use this template
The name of your utility deployment template
Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
Invalid credentials
Internal Server Error
GET /v3/deploymentTemplate/utility HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"fleetIds": [
"text"
],
"name": "text",
"inUse": 1,
"createdAt": 1,
"utilityDeploymentTemplateBuild": [
{
"applicationBuildId": "text",
"deployOn": 1,
"installsPerLocation": 1
}
]
}
]Utility deployment template ID
IDs of the fleets that use this template
The name of your utility deployment template
Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
OK
Utility deployment template ID
IDs of the fleets that use this template
The name of your utility deployment template
Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
Invalid credentials
Invalid deploymentTemplateId
Unprocessable Entity
Internal Server Error
POST /v3/deploymentTemplate/utility HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 117
{
"name": "text",
"utilityDeploymentTemplateBuild": [
{
"applicationBuildId": "text",
"deployOn": 1,
"installsPerLocation": 1
}
]
}[
{
"id": "text",
"fleetIds": [
"text"
],
"name": "text",
"inUse": 1,
"createdAt": 1,
"utilityDeploymentTemplateBuild": [
{
"applicationBuildId": "text",
"deployOn": 1,
"installsPerLocation": 1
}
]
}
]The Id of the deployment template
OK
Utility deployment template ID
IDs of the fleets that use this template
The name of your utility deployment template
Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
Invalid credentials
Invalid deploymentTemplateId
Internal Server Error
GET /v3/deploymentTemplate/utility/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"fleetIds": [
"text"
],
"name": "text",
"inUse": 1,
"createdAt": 1,
"utilityDeploymentTemplateBuild": [
{
"applicationBuildId": "text",
"deployOn": 1,
"installsPerLocation": 1
}
]
}
]The Id of the deployment template
Utility deployment template ID
IDs of the fleets that use this template
The name of your utility deployment template
Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
OK
Utility deployment template ID
IDs of the fleets that use this template
The name of your utility deployment template
Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
Invalid credentials
Invalid deploymentTemplateId
Unprocessable Entity
Internal Server Error
PUT /v3/deploymentTemplate/utility/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 117
{
"name": "text",
"utilityDeploymentTemplateBuild": [
{
"applicationBuildId": "text",
"deployOn": 1,
"installsPerLocation": 1
}
]
}[
{
"id": "text",
"fleetIds": [
"text"
],
"name": "text",
"inUse": 1,
"createdAt": 1,
"utilityDeploymentTemplateBuild": [
{
"applicationBuildId": "text",
"deployOn": 1,
"installsPerLocation": 1
}
]
}
]The Id of the deployment template
No Content
No content
Invalid credentials
Invalid deploymentTemplateId
If the template is in use, it cannot be deleted
Internal Server Error
DELETE /v3/deploymentTemplate/utility/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
No content
The Id of the deployment template
Example header and default range: RANGED-DATA:start=0,results=25
OK
Fleet ID
The name of the fleet
Deployment environment ID to which the fleet is assigned
The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet
The GameDeploymentTemplate's ID that is attached to this Fleet
The UtilityDeploymentTemplate's ID that is attached to this Fleet
The DependencyDeploymentTemplate's ID that is attached to this Fleet
The HostCapacityTemplate's ID that is attached to this Fleet
0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)
When it is active it cannot be disabled anymore
Invalid credentials
Invalid deploymentTemplateId
Internal Server Error
GET /v3/deploymentTemplate/utility/{deploymentTemplateId}/fleet HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"name": "text",
"deploymentEnvironmentId": "text",
"deploymentProfileId": "text",
"gameDeploymentTemplateId": "text",
"utilityDeploymentTemplateId": "text",
"dependencyDeploymentTemplateId": "text",
"hostCapacityTemplateId": "text",
"operationalStatus": 1,
"isGameLift": true
}
]Example header and default range: RANGED-DATA:start=0,results=25
OK
dependency Deployment template ID
Name of the dependency deployment template
Dependency installer build ID
Dependency uninstaller build ID
IDs of the fleets that use this template
Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
Invalid credentials
Internal Server Error
GET /v3/deploymentTemplate/dependency HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"name": "text",
"dependencyInstallerBuildId": "text",
"dependencyUninstallerBuildId": "text",
"fleetIds": [
"text"
],
"inUse": 1,
"createdAt": 1
}
]dependency Deployment template ID
Name of the dependency deployment template
Dependency installer build ID
Dependency uninstaller build ID
IDs of the fleets that use this template
Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
OK
dependency Deployment template ID
Name of the dependency deployment template
Dependency installer build ID
Dependency uninstaller build ID
IDs of the fleets that use this template
Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
Invalid credentials
Unprocessable Entity
Internal Server Error
POST /v3/deploymentTemplate/dependency HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 89
{
"name": "text",
"dependencyInstallerBuildId": "text",
"dependencyUninstallerBuildId": "text"
}[
{
"id": "text",
"name": "text",
"dependencyInstallerBuildId": "text",
"dependencyUninstallerBuildId": "text",
"fleetIds": [
"text"
],
"inUse": 1,
"createdAt": 1
}
]The Id of the dependency deployment template
OK
dependency Deployment template ID
Name of the dependency deployment template
Dependency installer build ID
Dependency uninstaller build ID
IDs of the fleets that use this template
Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
Invalid credentials
Invalid deploymentTemplateId
Internal Server Error
GET /v3/deploymentTemplate/dependency/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"name": "text",
"dependencyInstallerBuildId": "text",
"dependencyUninstallerBuildId": "text",
"fleetIds": [
"text"
],
"inUse": 1,
"createdAt": 1
}
]The Id of the dependency deployment template
dependency Deployment template ID
Name of the dependency deployment template
Dependency installer build ID
Dependency uninstaller build ID
IDs of the fleets that use this template
Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
OK
dependency Deployment template ID
Name of the dependency deployment template
Dependency installer build ID
Dependency uninstaller build ID
IDs of the fleets that use this template
Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.
UnixTimestamp
Invalid credentials
Invalid deploymentTemplateId
Unprocessable Entity
Internal Server Error
PUT /v3/deploymentTemplate/dependency/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 89
{
"name": "text",
"dependencyInstallerBuildId": "text",
"dependencyUninstallerBuildId": "text"
}[
{
"id": "text",
"name": "text",
"dependencyInstallerBuildId": "text",
"dependencyUninstallerBuildId": "text",
"fleetIds": [
"text"
],
"inUse": 1,
"createdAt": 1
}
]The Id of the dependency deployment template
No Content
No content
Invalid credentials
Invalid deploymentTemplateId
If the template is in use, it cannot be deleted
Internal Server Error
DELETE /v3/deploymentTemplate/dependency/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
No content
The Id of the dependency deployment template
Example header and default range: RANGED-DATA:start=0,results=25
OK
Fleet ID
The name of the fleet
Deployment environment ID to which the fleet is assigned
The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet
The GameDeploymentTemplate's ID that is attached to this Fleet
The UtilityDeploymentTemplate's ID that is attached to this Fleet
The DependencyDeploymentTemplate's ID that is attached to this Fleet
The HostCapacityTemplate's ID that is attached to this Fleet
0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)
When it is active it cannot be disabled anymore
Invalid credentials
Invalid deploymentTemplateId
Internal Server Error
GET /v3/deploymentTemplate/dependency/{deploymentTemplateId}/fleet HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"name": "text",
"deploymentEnvironmentId": "text",
"deploymentProfileId": "text",
"gameDeploymentTemplateId": "text",
"utilityDeploymentTemplateId": "text",
"dependencyDeploymentTemplateId": "text",
"hostCapacityTemplateId": "text",
"operationalStatus": 1,
"isGameLift": true
}
]Example header and default range: RANGED-DATA:start=0,results=25
OK
The ID of the Host Capacity Template
IDs of the Fleets that use this Host Capacity Template
IDs of the Application Builds that use this Host Capacity Template
The public name of your Host Capacity Template
1 if the Host Capacity Template is in use by a Fleet or Application Build, 0 if it is not.
The Unix timestamp at which this element is created
Invalid credentials
Internal Server Error
GET /v3/hostCapacityTemplate HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"fleetIds": [
"text"
],
"applicationBuildIds": [
"text"
],
"name": "text",
"inUse": 1,
"createdAt": 1
}
]The ID of the Host Capacity Template
IDs of the Fleets that use this Host Capacity Template
IDs of the Application Builds that use this Host Capacity Template
The public name of your Host Capacity Template
1 if the Host Capacity Template is in use by a Fleet or Application Build, 0 if it is not.
The Unix timestamp at which this element is created
OK
The ID of the Host Capacity Template
IDs of the Fleets that use this Host Capacity Template
IDs of the Application Builds that use this Host Capacity Template
The public name of your Host Capacity Template
1 if the Host Capacity Template is in use by a Fleet or Application Build, 0 if it is not.
The Unix timestamp at which this element is created
Invalid credentials
Unprocessable Entity
Internal Server Error
POST /v3/hostCapacityTemplate HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 25
{
"name": "text",
"inUse": 1
}[
{
"id": "text",
"fleetIds": [
"text"
],
"applicationBuildIds": [
"text"
],
"name": "text",
"inUse": 1,
"createdAt": 1
}
]The Id of the host capacity template
OK
The ID of the Host Capacity Template
IDs of the Fleets that use this Host Capacity Template
IDs of the Application Builds that use this Host Capacity Template
The public name of your Host Capacity Template
1 if the Host Capacity Template is in use by a Fleet or Application Build, 0 if it is not.
The Unix timestamp at which this element is created
Invalid credentials
Invalid hostCapacityTemplateId
Internal Server Error
GET /v3/hostCapacityTemplate/{hostCapacityTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"fleetIds": [
"text"
],
"applicationBuildIds": [
"text"
],
"name": "text",
"inUse": 1,
"createdAt": 1
}
]The Id of the host capacity template
The ID of the Host Capacity Template
IDs of the Fleets that use this Host Capacity Template
IDs of the Application Builds that use this Host Capacity Template
The public name of your Host Capacity Template
1 if the Host Capacity Template is in use by a Fleet or Application Build, 0 if it is not.
The Unix timestamp at which this element is created
OK
The ID of the Host Capacity Template
IDs of the Fleets that use this Host Capacity Template
IDs of the Application Builds that use this Host Capacity Template
The public name of your Host Capacity Template
1 if the Host Capacity Template is in use by a Fleet or Application Build, 0 if it is not.
The Unix timestamp at which this element is created
Invalid credentials
Invalid hostCapacityTemplateId
Unprocessable Entity
Internal Server Error
PUT /v3/hostCapacityTemplate/{hostCapacityTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 25
{
"name": "text",
"inUse": 1
}[
{
"id": "text",
"fleetIds": [
"text"
],
"applicationBuildIds": [
"text"
],
"name": "text",
"inUse": 1,
"createdAt": 1
}
]The Id of the host capacity template
No Content
No content
Invalid credentials
Invalid hostCapacityTemplateId
Cannot delete
Internal Server Error
DELETE /v3/hostCapacityTemplate/{hostCapacityTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
No content
The Id of the host capacity template
Example header and default range: RANGED-DATA:start=0,results=25
OK
Fleet ID
The name of the fleet
Deployment environment ID to which the fleet is assigned
The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet
The GameDeploymentTemplate's ID that is attached to this Fleet
The UtilityDeploymentTemplate's ID that is attached to this Fleet
The DependencyDeploymentTemplate's ID that is attached to this Fleet
The HostCapacityTemplate's ID that is attached to this Fleet
0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)
When it is active it cannot be disabled anymore
Invalid credentials
Invalid hostCapacityTemplateId
Internal Server Error
GET /v3/hostCapacityTemplate/{hostCapacityTemplateId}/fleet HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"name": "text",
"deploymentEnvironmentId": "text",
"deploymentProfileId": "text",
"gameDeploymentTemplateId": "text",
"utilityDeploymentTemplateId": "text",
"dependencyDeploymentTemplateId": "text",
"hostCapacityTemplateId": "text",
"operationalStatus": 1,
"isGameLift": true
}
]The Id of the host capacity template
Example header and default range: RANGED-DATA:start=0,results=25
OK
Application build ID
The name of the application build
The ID of the application. May be null if buildProvisioningStorageType is LegacyFTP
The ID of the host capacity template
The application build, list of types can be found in: GET /application/type
The executable name including the path originating from the root directory of the software structure
The startup parameters required for an executable
Set to 1 if a deployed application instance will inform the platform it's done with initializing and is ready to accept players. Defaults to 0 if not set, which means an instance's status will go directly to ONLINE (4) after starting
ID of the application install (legacy FTP, will be removed, may not be updated)
ID of the operating system, list of operating systems can be found in: GET /v3/operatingsystem
The stop method that will be used on restart or destroy of an application instance. The default is taken from the value of GET /v3/application/stopMethod - any value submitted here overrides that Application default
The timeout that will be used on restart or destroy of an application instance. The default is taken from the value of
Application.stopTimeout - any value submitted here overrides that Application default
When the application build was created (unix timestamp)
Type of storage being used GET /v3/buildProvisioning/storage/registration/types. Default: 0
Controls whether to run this build as root or as a non-privileged user. Warning: This currently only works for builds deployed onto a Linux operating system. Windows builds will always run as administrator
- 0: run as non-privileged user
- 1: run as root user (default)
Invalid credentials
Invalid hostCapacityTemplateId
Internal Server Error
GET /v3/hostCapacityTemplate/{hostCapacityTemplateId}/applicationBuild HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"name": "text",
"applicationId": "text",
"hostCapacityTemplateId": "text",
"type": 1,
"executable": "text",
"startupParameters": "text",
"instanceDoesReadyCallback": 1,
"osId": 1,
"stopMethod": 1,
"stopTimeout": 1,
"createdAt": 1,
"label": [
{
"key": "text",
"value": "text"
}
],
"applicationBuildFile": {
"id": "text",
"buildProvisioningFileId": "text",
"buildProvisioningRegistrationId": "text",
"fileName": "text",
"fileSize": 1,
"version": "text",
"md5CheckSum": "text",
"path": "text",
"domain": "text",
"createdAt": 1,
"changedAt": 1,
"availableOnCDN": 1
},
"buildProvisioningStorageType": 1,
"runAsRoot": 1
}
]The ID of the hostCapacityTemplate
Example header and default range: RANGED-DATA:start=0,results=25
OK
The ID of the Instance Type Capacity
The ID of the Host Capacity Template to which this element is linked
Cloud provider ID. For a list of cloud providers see GET /v3/cloud/provider
The instance type to which the capacity applies. This is the name of instance types found at various cloud providers.
See GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)
1 if the instance type is a virtual server, 0 if it is a bare metal server
The capacity of the instance type
The Unix timestamp at which this element is created
Invalid credentials
Internal Server Error
GET /v3/hostCapacityTemplate/{hostCapacityTemplateId}/instanceTypeCapacity HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"hostCapacityTemplateId": "text",
"providerId": 1,
"instanceType": "text",
"isVirtual": 1,
"capacity": 1,
"createdAt": 1
}
]The ID of the hostCapacityTemplate
The ID of the Instance Type Capacity
The ID of the Host Capacity Template to which this element is linked
Cloud provider ID. For a list of cloud providers see GET /v3/cloud/provider
The instance type to which the capacity applies. This is the name of instance types found at various cloud providers.
See GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)
1 if the instance type is a virtual server, 0 if it is a bare metal server
The capacity of the instance type
The Unix timestamp at which this element is created
OK
The ID of the Instance Type Capacity
The ID of the Host Capacity Template to which this element is linked
Cloud provider ID. For a list of cloud providers see GET /v3/cloud/provider
The instance type to which the capacity applies. This is the name of instance types found at various cloud providers.
See GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)
1 if the instance type is a virtual server, 0 if it is a bare metal server
The capacity of the instance type
The Unix timestamp at which this element is created
Invalid credentials
Unprocessable Entity
Internal Server Error
POST /v3/hostCapacityTemplate/{hostCapacityTemplateId}/instanceTypeCapacity HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 51
{
"providerId": 1,
"instanceType": "text",
"capacity": 1
}[
{
"id": "text",
"hostCapacityTemplateId": "text",
"providerId": 1,
"instanceType": "text",
"isVirtual": 1,
"capacity": 1,
"createdAt": 1
}
]The Id of the instance type capacity
OK
The ID of the Instance Type Capacity
The ID of the Host Capacity Template to which this element is linked
Cloud provider ID. For a list of cloud providers see GET /v3/cloud/provider
The instance type to which the capacity applies. This is the name of instance types found at various cloud providers.
See GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)
1 if the instance type is a virtual server, 0 if it is a bare metal server
The capacity of the instance type
The Unix timestamp at which this element is created
Invalid credentials
Invalid instanceTypeCapacityId
Internal Server Error
GET /v3/instanceTypeCapacity/{instanceTypeCapacityId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": "text",
"hostCapacityTemplateId": "text",
"providerId": 1,
"instanceType": "text",
"isVirtual": 1,
"capacity": 1,
"createdAt": 1
}
]The Id of the host capacity template
The ID of the Instance Type Capacity
The ID of the Host Capacity Template to which this element is linked
Cloud provider ID. For a list of cloud providers see GET /v3/cloud/provider
The instance type to which the capacity applies. This is the name of instance types found at various cloud providers.
See GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)
1 if the instance type is a virtual server, 0 if it is a bare metal server
The capacity of the instance type
The Unix timestamp at which this element is created
OK
The ID of the Instance Type Capacity
The ID of the Host Capacity Template to which this element is linked
Cloud provider ID. For a list of cloud providers see GET /v3/cloud/provider
The instance type to which the capacity applies. This is the name of instance types found at various cloud providers.
See GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)
1 if the instance type is a virtual server, 0 if it is a bare metal server
The capacity of the instance type
The Unix timestamp at which this element is created
Invalid credentials
Invalid instanceTypeCapacityId
Unprocessable Entity
Internal Server Error
PUT /v3/instanceTypeCapacity/{instanceTypeCapacityId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 51
{
"providerId": 1,
"instanceType": "text",
"capacity": 1
}[
{
"id": "text",
"hostCapacityTemplateId": "text",
"providerId": 1,
"instanceType": "text",
"isVirtual": 1,
"capacity": 1,
"createdAt": 1
}
]The Id of the host capacity template
No Content
No content
Invalid credentials
Invalid instanceTypeCapacityId
Cannot delete
Internal Server Error
DELETE /v3/instanceTypeCapacity/{instanceTypeCapacityId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
No content
Label expressions can be used to apply more specific search parameters and can be written in standard SQL query language.
E.g. region_id=123 or multiple filters: region_id=123 and fleet_id=456 or host_id=46256 The provided filter query needs to be url encoded. E.g.
region_id%3D123 or multiple filters: region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 The total would look like:
/host?labels=region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256
If you want to filter on a non-numeric label such as region_name, you have to wrap the value in double quotes: region_name="Rotterdam"
Warning: the labels query parameter is ignored when passing a PAGE-TOKEN and the original labels string will be used for that request instead.
For more information about labels check details
Example header and default range: RANGED-DATA:start=0,results=25
OK
The ID of this host
The ID of the user who owns this server
The ID of the physical machine
The name of the physical machine
The type of the server:
- 1: Bare metal server
- 2: Flex metal server
- 3: Virtual machine
The name of the project for the host
The name of the server defined by client
Client statement for the host
The host name
0 if this is a bare metal server, 1 if it's a VM. Use serverType instead
Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state
Operating system ID, must be one of GET /v3/operatingsystem
Legacy location ID (not used for ODP)
Datacenter location ID. Points to one of GET /v3/cloud/dcLocation
The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of
GET /v3/cloud/instanceType for a virtual machine
The fleet ID, if this host has been assigned to a fleet
If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.
The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve
Unix timestamp when fleet assigned to the host
The name of the rack the host is located
The date at which this host became active
The date at which this host will expire
The date at which this host was cancelled
The date at which the contract ends (if applicable)
The contract period in months
The service extend period in months
The cancellation period in months
Purchase order, if one has been supplied via our billing department
The payment term in days (how many days are invoices generated before dateEnd)
The price of this host per month in cents (see currencyId for currency)
The price of traffic overuse in cents (per TB) (see currencyId for currency)
The currency of the pricePerMonth field:
- 0: EURO
- 1: USD
- 9: YEN
The bandwidth billing method for this service:
- 1: unmetered connection
- 2: measured in TB per month
- 3: measured in mbit 95th percentile
The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise
The server manufacturer brand name
The model of the server
Number of CPUs in this host
Percentage of cpu used across all cores
The amount of memory that is used by the host (in megabytes)
The amount of memory that is available on the host (in megabytes)
The amount of free memory that is available on the host (in megabytes)
If the host is reserved for a fleet isReserve set to 1
The service tag of the host
If the host is available for game hosting platform isODP set to 1
ID of Flex Metal order if this is a flex metal server
Status of server auto install if it was started by one. (created / installing / finished / failed)
Whether the host is running or not
The uptime of the host. Read-only. Only provided if the server checked-in recently
Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration
Whether the host has free incoming traffic or not
The outgoing traffic (Mbit or GB)
The incoming traffic (Mbit or GB)
Invalid credentials
Internal Server Error
GET /v3/host HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"userId": 1,
"serverId": 1,
"serverName": "text",
"serverType": 1,
"projectName": "text",
"clientServerName": "text",
"clientState": "text",
"liveHostName": "text",
"category": "text",
"osId": 1,
"locationId": 1,
"dcLocationId": 1,
"instanceType": "text",
"fleetId": "text",
"newFleetId": "text",
"fleetAssociatedSince": 1,
"rackName": "text",
"dateStart": "text",
"dateEnd": "text",
"dateCancelled": "text",
"dateEndContract": "text",
"contractPeriod": 1,
"extendPeriod": 1,
"cancellationPeriod": 1,
"purchaseOrder": "text",
"paymentTerm": 1,
"pricePerMonth": "text",
"pricePerTbOveruse": "text",
"currencyId": 1,
"bandwidthBillingType": 1,
"bandwidthContractual": 1,
"ipAddress": [
{
"ipAddress": "text",
"version": 1,
"type": 1,
"private": 1,
"interface": 1,
"macAddress": "text",
"rDns": "text",
"vlanId": 1,
"gateway": "text",
"netmask": "text",
"prefix": 1
}
],
"brand": "text",
"model": "text",
"numCpu": 1,
"cpuInfo": "text",
"cpuType": "text",
"cpuLoad": 1,
"cpu": {
"socket": 1,
"cores": 1,
"threads": 1,
"info": "text",
"type": "text"
},
"memUsed": 1,
"memMax": 1,
"memFree": 1,
"disk": [
{
"diskType": "text",
"diskMedium": "text",
"model": "text",
"product": "text",
"diskSerial": "text",
"firmwareVersion": "text",
"rotationRate": 1,
"sectorSizeLogical": 1,
"sectorSizePhysical": 1,
"size": 1
}
],
"memory": [
{
"brand": "text",
"model": "text",
"size": 1,
"speed": 1,
"ecc": 1,
"memoryBank": 1,
"memoryType": "text",
"memorySlot": "text",
"memorySerial": "text"
}
],
"isReserve": 1,
"labels": [
{
"key": "text",
"value": "text"
}
],
"serviceTag": "text",
"isODP": 1,
"fmOrderId": "text",
"installStatus": "text",
"status": "text",
"uptime": 1,
"trafficSum": 1,
"uplinks": [
{
"uplinkId": 1,
"aggregate": true
}
],
"freeIncomingTraffic": true,
"outgoingTrafficSum": 1,
"incomingTrafficSum": 1
}
]Fields return in response, only fields available in model can be filter out
Example header and default range: RANGED-DATA:start=0,results=25
OK
The ID of this host
The ID of the physical machine
The name of the physical machine
The type of the server:
- 1: Bare metal server
- 2: Flex metal server
- 3: Virtual machine
The name of the project for the host
The name of the server defined by client
Client statement for the host
The host name
0 if this is a bare metal server, 1 if it's a VM. Use serverType instead
Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state
Operating system ID, must be one of GET /v3/operatingsystem
Legacy location ID (not used for ODP)
Datacenter location ID. Points to one of GET /v3/cloud/dcLocation
The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of
GET /v3/cloud/instanceType for a virtual machine
The fleet ID, if this host has been assigned to a fleet
If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.
The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve
Unix timestamp when fleet assigned to the host
The name of the rack the host is located
The date at which this host became active
The date at which this host will expire
The date at which this host was cancelled
The date at which the contract ends (if applicable)
The contract period in months
The service extend period in months
The cancellation period in months
Purchase order, if one has been supplied via our billing department
The payment term in days (how many days are invoices generated before dateEnd)
The price of this host per month in cents (see currencyId for currency)
The price of traffic overuse in cents (per TB) (see currencyId for currency)
The currency of the pricePerMonth field:
- 0: EURO
- 1: USD
- 9: YEN
The bandwidth billing method for this service:
- 1: unmetered connection
- 2: measured in TB per month
- 3: measured in mbit 95th percentile
The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise
The server manufacturer brand name
The model of the server
If the host is reserved for a fleet isReserve set to 1
The service tag of the host
If the host is available for game hosting platform isODP set to 1
ID of Flex Metal order if this is a flex metal server
Status of server auto install if it was started by one. (created / installing / finished / failed)
Whether the host is running or not
The uptime of the host. Read-only. Only provided if the server checked-in recently
Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration
Whether the host has free incoming traffic or not
The outgoing traffic (Mbit or GB)
The incoming traffic (Mbit or GB)
Invalid credentials
Internal Server Error
GET /v3/host/summary HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"serverId": 1,
"serverName": "text",
"serverType": 1,
"projectName": "text",
"clientServerName": "text",
"clientState": "text",
"liveHostName": "text",
"category": "text",
"osId": 1,
"locationId": 1,
"dcLocationId": 1,
"instanceType": "text",
"fleetId": "text",
"newFleetId": "text",
"fleetAssociatedSince": 1,
"rackName": "text",
"dateStart": "text",
"dateEnd": "text",
"dateCancelled": "text",
"dateEndContract": "text",
"contractPeriod": 1,
"extendPeriod": 1,
"cancellationPeriod": 1,
"purchaseOrder": "text",
"paymentTerm": 1,
"pricePerMonth": "text",
"pricePerTbOveruse": "text",
"currencyId": 1,
"bandwidthBillingType": 1,
"bandwidthContractual": 1,
"brand": "text",
"model": "text",
"isReserve": 1,
"serviceTag": "text",
"isODP": 1,
"fmOrderId": "text",
"installStatus": "text",
"status": "text",
"uptime": 1,
"trafficSum": 1,
"freeIncomingTraffic": true,
"outgoingTrafficSum": 1,
"incomingTrafficSum": 1
}
]OK
The ID of this host
The ID of the user who owns this server
The ID of the physical machine
The name of the physical machine
The type of the server:
- 1: Bare metal server
- 2: Flex metal server
- 3: Virtual machine
The name of the project for the host
The name of the server defined by client
Client statement for the host
The host name
0 if this is a bare metal server, 1 if it's a VM. Use serverType instead
Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state
Operating system ID, must be one of GET /v3/operatingsystem
Legacy location ID (not used for ODP)
Datacenter location ID. Points to one of GET /v3/cloud/dcLocation
The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of
GET /v3/cloud/instanceType for a virtual machine
The fleet ID, if this host has been assigned to a fleet
If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.
The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve
Unix timestamp when fleet assigned to the host
The name of the rack the host is located
The date at which this host became active
The date at which this host will expire
The date at which this host was cancelled
The date at which the contract ends (if applicable)
The contract period in months
The service extend period in months
The cancellation period in months
Purchase order, if one has been supplied via our billing department
The payment term in days (how many days are invoices generated before dateEnd)
The price of this host per month in cents (see currencyId for currency)
The price of traffic overuse in cents (per TB) (see currencyId for currency)
The currency of the pricePerMonth field:
- 0: EURO
- 1: USD
- 9: YEN
The bandwidth billing method for this service:
- 1: unmetered connection
- 2: measured in TB per month
- 3: measured in mbit 95th percentile
The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise
The server manufacturer brand name
The model of the server
Number of CPUs in this host
Percentage of cpu used across all cores
The amount of memory that is used by the host (in megabytes)
The amount of memory that is available on the host (in megabytes)
The amount of free memory that is available on the host (in megabytes)
If the host is reserved for a fleet isReserve set to 1
The service tag of the host
If the host is available for game hosting platform isODP set to 1
ID of Flex Metal order if this is a flex metal server
Status of server auto install if it was started by one. (created / installing / finished / failed)
Whether the host is running or not
The uptime of the host. Read-only. Only provided if the server checked-in recently
Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration
Whether the host has free incoming traffic or not
The outgoing traffic (Mbit or GB)
The incoming traffic (Mbit or GB)
Invalid credentials
Internal Server Error
GET /v3/host/{hostId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"userId": 1,
"serverId": 1,
"serverName": "text",
"serverType": 1,
"projectName": "text",
"clientServerName": "text",
"clientState": "text",
"liveHostName": "text",
"category": "text",
"osId": 1,
"locationId": 1,
"dcLocationId": 1,
"instanceType": "text",
"fleetId": "text",
"newFleetId": "text",
"fleetAssociatedSince": 1,
"rackName": "text",
"dateStart": "text",
"dateEnd": "text",
"dateCancelled": "text",
"dateEndContract": "text",
"contractPeriod": 1,
"extendPeriod": 1,
"cancellationPeriod": 1,
"purchaseOrder": "text",
"paymentTerm": 1,
"pricePerMonth": "text",
"pricePerTbOveruse": "text",
"currencyId": 1,
"bandwidthBillingType": 1,
"bandwidthContractual": 1,
"ipAddress": [
{
"ipAddress": "text",
"version": 1,
"type": 1,
"private": 1,
"interface": 1,
"macAddress": "text",
"rDns": "text",
"vlanId": 1,
"gateway": "text",
"netmask": "text",
"prefix": 1
}
],
"brand": "text",
"model": "text",
"numCpu": 1,
"cpuInfo": "text",
"cpuType": "text",
"cpuLoad": 1,
"cpu": {
"socket": 1,
"cores": 1,
"threads": 1,
"info": "text",
"type": "text"
},
"memUsed": 1,
"memMax": 1,
"memFree": 1,
"disk": [
{
"diskType": "text",
"diskMedium": "text",
"model": "text",
"product": "text",
"diskSerial": "text",
"firmwareVersion": "text",
"rotationRate": 1,
"sectorSizeLogical": 1,
"sectorSizePhysical": 1,
"size": 1
}
],
"memory": [
{
"brand": "text",
"model": "text",
"size": 1,
"speed": 1,
"ecc": 1,
"memoryBank": 1,
"memoryType": "text",
"memorySlot": "text",
"memorySerial": "text"
}
],
"isReserve": 1,
"labels": [
{
"key": "text",
"value": "text"
}
],
"serviceTag": "text",
"isODP": 1,
"fmOrderId": "text",
"installStatus": "text",
"status": "text",
"uptime": 1,
"trafficSum": 1,
"uplinks": [
{
"uplinkId": 1,
"aggregate": true
}
],
"freeIncomingTraffic": true,
"outgoingTrafficSum": 1,
"incomingTrafficSum": 1
}
]The ID of this host
The ID of the user who owns this server
The ID of the physical machine
The name of the physical machine
The type of the server:
- 1: Bare metal server
- 2: Flex metal server
- 3: Virtual machine
The name of the project for the host
The name of the server defined by client
Client statement for the host
The host name
0 if this is a bare metal server, 1 if it's a VM. Use serverType instead
Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state
Operating system ID, must be one of GET /v3/operatingsystem
Legacy location ID (not used for ODP)
Datacenter location ID. Points to one of GET /v3/cloud/dcLocation
The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of
GET /v3/cloud/instanceType for a virtual machine
The fleet ID, if this host has been assigned to a fleet
If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.
The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve
Unix timestamp when fleet assigned to the host
The name of the rack the host is located
The date at which this host became active
The date at which this host will expire
The date at which this host was cancelled
The date at which the contract ends (if applicable)
The contract period in months
The service extend period in months
The cancellation period in months
Purchase order, if one has been supplied via our billing department
The payment term in days (how many days are invoices generated before dateEnd)
The price of this host per month in cents (see currencyId for currency)
The price of traffic overuse in cents (per TB) (see currencyId for currency)
The currency of the pricePerMonth field:
- 0: EURO
- 1: USD
- 9: YEN
The bandwidth billing method for this service:
- 1: unmetered connection
- 2: measured in TB per month
- 3: measured in mbit 95th percentile
The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise
The server manufacturer brand name
The model of the server
Number of CPUs in this host
Percentage of cpu used across all cores
The amount of memory that is used by the host (in megabytes)
The amount of memory that is available on the host (in megabytes)
The amount of free memory that is available on the host (in megabytes)
If the host is reserved for a fleet isReserve set to 1
The service tag of the host
If the host is available for game hosting platform isODP set to 1
ID of Flex Metal order if this is a flex metal server
Status of server auto install if it was started by one. (created / installing / finished / failed)
Whether the host is running or not
The uptime of the host. Read-only. Only provided if the server checked-in recently
Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration
Whether the host has free incoming traffic or not
The outgoing traffic (Mbit or GB)
The incoming traffic (Mbit or GB)
OK
The ID of this host
The ID of the user who owns this server
The ID of the physical machine
The name of the physical machine
The type of the server:
- 1: Bare metal server
- 2: Flex metal server
- 3: Virtual machine
The name of the project for the host
The name of the server defined by client
Client statement for the host
The host name
0 if this is a bare metal server, 1 if it's a VM. Use serverType instead
Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state
Operating system ID, must be one of GET /v3/operatingsystem
Legacy location ID (not used for ODP)
Datacenter location ID. Points to one of GET /v3/cloud/dcLocation
The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of
GET /v3/cloud/instanceType for a virtual machine
The fleet ID, if this host has been assigned to a fleet
If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.
The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve
Unix timestamp when fleet assigned to the host
The name of the rack the host is located
The date at which this host became active
The date at which this host will expire
The date at which this host was cancelled
The date at which the contract ends (if applicable)
The contract period in months
The service extend period in months
The cancellation period in months
Purchase order, if one has been supplied via our billing department
The payment term in days (how many days are invoices generated before dateEnd)
The price of this host per month in cents (see currencyId for currency)
The price of traffic overuse in cents (per TB) (see currencyId for currency)
The currency of the pricePerMonth field:
- 0: EURO
- 1: USD
- 9: YEN
The bandwidth billing method for this service:
- 1: unmetered connection
- 2: measured in TB per month
- 3: measured in mbit 95th percentile
The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise
The server manufacturer brand name
The model of the server
Number of CPUs in this host
Percentage of cpu used across all cores
The amount of memory that is used by the host (in megabytes)
[...]
